curl -X POST "https://api.clevrscan.com/api/documents/presigned_urls" \
-H "X-API-Key: <api_key>" \
-H "Content-Type: application/json" \
-d '{
"document_ids": [92343]
}'
{
"presigned_urls": {
"92343": {
"expires_in": 3600,
"presigned_url": "https://d2zlfym0sm19sj.cloudfront.net/users/297/Document_4_page_19.png"
}
}
}
Document History Endpoints
Get Presigned URLs
Generates presigned URLs for one or more documents. These URLs can be used to securely download documents without re-authentication.
POST
/
api
/
documents
/
presigned_urls
curl -X POST "https://api.clevrscan.com/api/documents/presigned_urls" \
-H "X-API-Key: <api_key>" \
-H "Content-Type: application/json" \
-d '{
"document_ids": [92343]
}'
{
"presigned_urls": {
"92343": {
"expires_in": 3600,
"presigned_url": "https://d2zlfym0sm19sj.cloudfront.net/users/297/Document_4_page_19.png"
}
}
}
Request Format
JSON BodyPOST /api/documents/presigned_urls
Content-Type: application/json
X-API-Key: <api_key>
{
"document_ids": [92343]
}
Parameters
| Parameter | Type | Required | Location | Description |
|---|---|---|---|---|
| document_ids | Number[] | Yes | Body | Array of document IDs to generate URLs for |
| api_key | String | Yes | Header | API key |
document_ids must be provided as an array, even if only one document ID is requested.
curl -X POST "https://api.clevrscan.com/api/documents/presigned_urls" \
-H "X-API-Key: <api_key>" \
-H "Content-Type: application/json" \
-d '{
"document_ids": [92343]
}'
{
"presigned_urls": {
"92343": {
"expires_in": 3600,
"presigned_url": "https://d2zlfym0sm19sj.cloudfront.net/users/297/Document_4_page_19.png"
}
}
}